Flecs: ecs_script_vars_t Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.1 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
ecs_script_vars_t Struct Reference
C API » Addons » Flecs script

Script variable scope. More...

`#include <script.h>`

## Public Attributes
struct ecs_script_vars_t * | parent
| Parent variable scope.
int32_t | sp
| Stack pointer for this scope.
ecs_hashmap_t | var_index
| Index for variable name lookups.
ecs_vec_t | vars
| Vector of variables in this scope.
const ecs_world_t * | world
| The world.
struct ecs_stack_t * | stack
| Stack allocator for variable storage.
ecs_stack_cursor_t * | cursor
| Cursor into the stack allocator.
ecs_allocator_t * | allocator
| General purpose allocator.

## Detailed Description

Script variable scope.

Definition at line 73 of file script.h.

## Member Data Documentation

## ◆ allocator

ecs_allocator_t* ecs_script_vars_t::allocator

General purpose allocator.

Definition at line 83 of file script.h.

## ◆ cursor

ecs_stack_cursor_t* ecs_script_vars_t::cursor

Cursor into the stack allocator.

Definition at line 82 of file script.h.

## ◆ parent

struct ecs_script_vars_t* ecs_script_vars_t::parent

Parent variable scope.

Definition at line 74 of file script.h.

## ◆ sp

int32_t ecs_script_vars_t::sp

Stack pointer for this scope.

Definition at line 75 of file script.h.

## ◆ stack

struct ecs_stack_t* ecs_script_vars_t::stack

Stack allocator for variable storage.

Definition at line 81 of file script.h.

## ◆ var_index

ecs_hashmap_t ecs_script_vars_t::var_index

Index for variable name lookups.

Definition at line 77 of file script.h.

## ◆ vars

ecs_vec_t ecs_script_vars_t::vars

Vector of variables in this scope.

Definition at line 78 of file script.h.

## ◆ world

const ecs_world_t* ecs_script_vars_t::world

The world.

Definition at line 80 of file script.h.

The documentation for this struct was generated from the following file:

- include/flecs/addons/script.h